using Godot;

namespace Hellswipers.Game;

public partial class Stats : Node {
    private Label _comboLabel;
    private Label _solvedLabel;

    private int _combo = 0;
    private int _solved = 0;

    public int Combo {
        get => _combo;
        set {
            _combo = value;
            _comboLabel.Text = _combo.ToString();
        }
    }

    public int Solved {
        get => _solved;
        set {
            _solved = value;
            _solvedLabel.Text = _solved.ToString();
        }
    }


    public override void _Ready() {
        _comboLabel = GetNode<Label>("Combo");
        _solvedLabel = GetNode<Label>("Solved");
    }
}